/***************************************************************************
 *            FSK.h
 *
 *  Fr Jun 04 17:54:00 2010
 *  Copyright  2010  Albrecht Lohoefener
 *  albrechtloh@gmx.de
 ****************************************************************************/

#ifndef FSK_H

 /**
  * \brief Startet den PWM Timer 
  *
  * \param 	keine
  * \return	keine
  *
  */
void FSKSendStart(void);

 /**
  * \brief  Sendet Daten aus einem Ring Buffer mittels der FSK Modulation.
  *         Diese Funktion muss zyklisch aufgerufen werden.
  *
  * \param 	keine
  * \return	keine
  *
  */

void FSKSend(void);


#define FSK_H
#endif
