/***************************************************************************
 *            TestFunct.c
 *
 *  Sun Jun 06 12:37:00 2010
 *  Copyright  2010  Albrecht Lohoefener
 *  albrechtloh@gmx.de
 ****************************************************************************/

/**
* \file
* Stellt eine Reihe von Testfunktionen bereit. Diese Funktionen werden nie aufgerufen und sind nur für Testzwecke eingebunden.
*/ 

#ifdef TESTFUNCTIONS

#include <avr/io.h>

#include "TestFunct.h"
#include "RingBuffer.h"
#include "HeartRate.h"

void TestFunctFillRingBuffer(void)
{
	// Nur fuer Testzwecke
	static uint8_t TestFunctFillRingBufferCounter = 48;

	TestFunctFillRingBufferCounter++;

	// Ascii Zeichentabelle von 0...z
	if(TestFunctFillRingBufferCounter == 122) TestFunctFillRingBufferCounter=48;

	RingBufferSetValue(TestFunctFillRingBufferCounter);
}

void TestFunctIncHeartRateCounter(void)
{
	//HeartRateCounter++;
}

#endif
