/***************************************************************************
 *            TestKey.h
 *
 *  Sun Jun 06 14:31:00 2010
 *  Copyright  2010  Albrecht Lohoefener
 *  albrechtloh@gmx.de
 ****************************************************************************/
#ifdef TESTFUNCTIONS

#ifndef TESTKEY_H

 /**
  * \brief  Initialisierung des Testtasters
  *
  * \param  keine
  * \return	keine
  *
  */
void TestKeyInit(void);

 /**
  * \brief  Testtaster Interruptroutine 
  *			Wird durch Interrupt.c gerufen
  *
  * \param  keine
  * \return	keine
  *
  */
void TestKeyInterrupt(void);

 /**
  * \brief  Callbackroutine fuer den Timer, wird aufgerufen wenn Timer abgelaufen ist
  *
  * \param  keine
  * \return	keine
  *
  */
void TestKeyTimerCallback(void);

#define TESTKEY_H
#endif

#endif
