/***************************************************************************
 *            TestPin.h
 *
 *  Sun Jun 06 14:56:00 2010
 *  Copyright  2010  Albrecht Lohoefener
 *  albrechtloh@gmx.de
 ****************************************************************************/
#ifdef TESTFUNCTIONS

#ifndef TESTPIN_H

 /**
  * \brief  Initialisierungsroutine fuer die Testpin
  *
  * \param 	keine
  * \return	0
  *
  */
int TestPinInit(void);


 /**
  * \brief  Testpin einschalten
  *
  * \param 	keine
  * \return	0
  *
  */
int TestPinOn(void);


 /**
  * \brief  Testpin ausschalten
  *
  * \param 	keine
  * \return	0
  *
  */
int TestPinOff(void);


 /**
  * \brief  Invertieren der Testpin
  *
  * \param 	keine
  * \return	keine
  *
  */
void TestPinToggle(void);

#define TESTPIN_H
#endif

#endif
