/***************************************************************************
 *            LED.h
 *
 *  Mo May 31 18:16:00 2010
 *  Copyright  2010  Albrecht Lohoefener
 *  albrechtloh@gmx.de
 ****************************************************************************/

#ifndef LED_H

 /**
  * \brief  Initialisierungsroutine fuer die LED
  *
  * \param 	keine
  * \return	0
  *
  */
int LEDInit(void);

 /**
  * \brief  LED einschalten
  *
  * \param 	keine
  * \return	keine
  *
  */
void LEDon(void);

 /**
  * \brief  LED ausschalten
  *
  * \param 	keine
  * \return	keine
  *
  */
void LEDoff(void);


 /**
  * \brief  Invertieren der LED
  *
  * \param 	keine
  * \return	keine
  *
  */
void LEDtoggle(void);

#define LED_H
#endif
