/***************************************************************************
 *            PWM.h
 *
 *  Mo May 31 16:34:02 2010
 *  Copyright  2010  Albrecht Lohoefener
 *  albrechtloh@gmx.de
 ****************************************************************************/

#ifndef PWM_H

 /**
  * \brief  Initialisierungsroutine fuer die LED
  *
  * \param 	keine
  * \return	0
  *
  */
int PWMInit(void);

 /**
  * \brief  Initialisierungsroutine fuer die LED
  *
  * \param 	keine
  * \return	0
  *
  */
int PWMStart(int Frequency);

 /**
  * \brief  Initialisierungsroutine fuer die LED
  *
  * \param 	keine
  * \return	0
  *
  */
int PWMStop(void);

 /**
  * \brief  Initialisierungsroutine fuer die LED
  *
  * \param 	keine
  * \return	0 bei Erfolg;
  *			-1 bei Frequenz zu niedrig
  *
  */
int PWMSetFrequency(int Frequency);


#define PWM_H
#endif
