/***************************************************************************
 *            RingBuffer.h
 *
 *  Fr Jun 04 21:09:00 2010
 *  Copyright  2010  Albrecht Lohoefener
 *  albrechtloh@gmx.de
 ****************************************************************************/

#ifndef RINGBUFFER_H

 /**
  * \brief  Ein Wert in den RingBuffer schreiben
  *
  * \param 	Value Wert zum Schreiben
  * \return	0
  *
  */
int RingBufferSetValue(char Value);

 /**
  * \brief  Ein Wert aus dem RingBuffer lesen
  *
  * \param 	keine
  * \return	gelesenen Wert
  *
  */
char RingBufferGetValue(void);

#define RINGBUFFER_H
#endif
